unit Unit2; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls, Unit3 ;

type

  { TForm2 }

  TForm2 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Edit1: TEdit;
    Label2: TLabel;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure Generiraj;
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form2: TForm2;
  SkrienPogodok , izbor: Integer;
  st, st2 : String;
  dolzina, randchoise, conditionexit: Integer;
  skokni : Boolean;
  remarr : array [1..10000] of integer;
  spznaci: Integer;
  wegoon : Integer;


implementation
 uses Unit1;
{$R *.lfm}

{ TForm2 }


procedure TForm2.Generiraj;
var i,j, gule, nkniga : integer;
  losho: boolean;
  charP : Char;


begin
  conditionexit:=hiding;
  if RS then
            izbor:=levint+random(DesenInt-LevInt+1)
        else begin
            izbor:=levint+wegoon;
            Button3.Caption:=' ';
            val(arKniga[izbor], nkniga);
            Edit1.text:=arKnigaNaslov[nkniga]+' '+arGlava[izbor]+','+arStih[izbor];
        end;

  st:=arTekst[izbor];
  st:=UTF8ToAnsi(st);
  dolzina:=length(st);
  if st='' then st:=' ';
  i:=0;
  spznaci:=0;
  for j:=1 to dolzina do
   if (st[j]=' ') or (st[j]=',') or (st[j]='.') or (st[j]=';') or (st[j]='!') or (st[j]='?') then spznaci:=spznaci+1;
  if hiding > 0 then begin
  repeat
    randchoise:=random(dolzina)+1;
    skokni:=false;
    charP:=st[randchoise];
    if (charP=' ') or (charP=',') or (charP='.') or (charP=';') or (charP='!') or (charP='?') then begin
           skokni:=true;
    end;
    for j:=1 to i do
     if randchoise = remarr[j] then skokni:=true;
    if not(skokni) then begin
      i:=i+1;
      remarr[i]:=randchoise;
    end;
  until (i >= round(dolzina/(100/conditionexit))) or (i >= (dolzina - spznaci -1));
  end; // if hiding > 0
  st2:=st;
  if hiding > 0 then
   for j:=1 to i do
    st2[remarr[j]]:='-';
  st2:=AnsiToUTF8(st2);
  Form2.Memo1.text:=st2;

end;


procedure TForm2.FormCreate(Sender: TObject);
begin
  Randomize;
  Prasanje:=0;
  wegoon:=0;
end;

procedure TForm2.Button1Click(Sender: TObject);
begin
  Edit1.text:='';
  if not(RS) then begin
                       wegoon:=wegoon+1;
                       if (levint+wegoon)=31103 then wegoon:=wegoon-1;
                  end;
  Generiraj;
end;

procedure TForm2.Button2Click(Sender: TObject);
var uslov : Boolean;
     i : Integer;
begin
  st2:=UTF8ToAnsi(st2);
  uslov:=false;
  i:=1;
  repeat
   if st2[i]='-' then begin
                           st2[i]:=st[i];
                           uslov:=true;
                      end;
   i:=i+1;
   if i > length(st2) then uslov:=true;
  until uslov;
  st2:=AnsiToUTF8(st2);
  Form2.Memo1.Text:=st2;
end;

procedure TForm2.Button3Click(Sender: TObject);
var nkniga : Integer;
begin
  if RS then begin
  val(arKniga[izbor], nkniga);
  Edit1.text:=arKnigaNaslov[nkniga]+' '+arGlava[izbor]+','+arStih[izbor];
  end
  else begin
    wegoon:=wegoon-1;
    if (levint+wegoon)=0 then wegoon:=wegoon+1;
    Generiraj;
  end;
end;

procedure TForm2.Button4Click(Sender: TObject);
begin
  st:=AnsiToUTF8(st);
  st2:=st;
  Form2.Memo1.Text:=st;
end;

procedure TForm2.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  Halt;
end;

end.

